import {
	compareVersion
} from "../utils/util.js";
let NAVI_BAR_HEIGHT = 0;
let NAVI_HEIGHT = 0;
let BOTTOM_SAFE_HEIGHT = 0;
var systemInfoMixin = {
	data: function() {
		return {
			bottomSafeHeight: 0, // 距底部安全高度
			statusBarHeight: 0, // 状态栏高度
			naviBarHeight: 0, // 导航栏 高度
			naviHeight: 0, // navi 总体高度
			windowHeight: 0, // 窗口高度
			windowWidth: 0, // 窗口宽度
			sdkVersion: "", // uni小程序SDK版本、小程序客户端基础库版本
		}
	},
	mounted() {
		const systemInfo = tt.getSystemInfoSync();
		this.sdkVersion = systemInfo.hostSDKVersion;
		this.windowWidth = this.dataCheck(systemInfo.windowWidth);
		this.windowHeight = this.dataCheck(systemInfo.windowHeight);
		this.statusBarHeight = this.dataCheck(systemInfo.statusBarHeight);
		if (!BOTTOM_SAFE_HEIGHT) {
			BOTTOM_SAFE_HEIGHT = this.dataCheck(systemInfo.screenHeight - systemInfo.safeArea.height - this
				.statusBarHeight);
		}
		this.bottomSafeHeight = BOTTOM_SAFE_HEIGHT;
		if (!NAVI_BAR_HEIGHT || !NAVI_HEIGHT) {
			
			const custom = tt.getMenuButtonBoundingClientRect();
			NAVI_BAR_HEIGHT = custom.height + (custom.top - this.statusBarHeight) * 2;
			NAVI_HEIGHT = NAVI_BAR_HEIGHT + this.statusBarHeight;
			
		}
		this.naviBarHeight = this.dataCheck(NAVI_BAR_HEIGHT);
		this.naviHeight = this.dataCheck(NAVI_HEIGHT ? NAVI_HEIGHT : statusBarHeight);
	},
	methods: {
		// 版本检测，当前基础库及sdk版本是否大于目标版本
		overstepSDKVersion(version) {
			let result = compareVersion(this.sdkVersion, version);
			return result == 1;
		},
		dataCheck(value) {
			return value > 0 ? value : 0
		}
	}
}

export default systemInfoMixin;