const {
	ENUM_SEARCH_TYPE,
	ENUM_MESSAGE_PAGE_TYPE
} = require("../../static/enums/enum_value");

// 搜索页面
function gotoBookSearchPage(searchType = ENUM_SEARCH_TYPE.WAREHOUSE, keyword) {
	uni.navigateTo({
		url: `/page-subs/sub_A/book-search/book-search`,
		success: (res) => {
			res.eventChannel.emit("openBookSearchPage", {
				keyword,
				searchType
			})
		}
	})
}

// 文章详情
function gotoBookContentPage(bookId) {
	uni.navigateTo({
		url: `/page-subs/sub_A/book-content/book-content`,
		success: (res) => {
			res.eventChannel.emit("openBookContentPage", {
				bookId
			})
		}
	})
}

// 文章封面
function gotoBookCoverPage(bookId) {
	return;
	uni.navigateTo({
		url: `/page-subs/sub_A/book-cover/book-cover`,
		success: (res) => {
			res.eventChannel.emit("openBookCoverPage", {
				bookId
			})
		}
	})
}

// vip申请
function gotoVIPApplyPage() {
	uni.navigateTo({
		url: `/pagesA//vipPay/vipPay`,
	})
}

// 用户编辑
function gotoUserEditPage(userInfo) {
	uni.navigateTo({
		url: `/page-subs/sub_B/user-edit/user-edit`,
		success: (res) => {
			res.eventChannel.emit("openUserEditPage", {
				userInfo
			})
		}
	})
}

module.exports = {
	/** sub_A */
	gotoBookSearchPage,
	gotoBookContentPage,
	gotoBookCoverPage,

	/** sub_B */
	gotoVIPApplyPage,
	gotoUserEditPage,
}